﻿package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.ColorTransform;
	import flash.geom.Point;
	public class Coliner extends Sprite
	{
		private var angle:Number = 0;
		private var path:Array;
		private var pathHeight:Number;
		private var image:BitmapData;
		private var c_trs:ColorTransform = new ColorTransform (20, 20, 20, 0.9);
		private var support:Sprite = new Sprite();
		public function Coliner()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void{
			addChild (new Bitmap (image = new BitmapData(stage.stageWidth, stage.stageHeight,false,0x000000)));
			this.addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			support.graphics.clear();
			support.graphics.moveTo(0,stage.stageHeight-2000);
			var mX:Number = stage.stageWidth/2
			var color:Number = Math.random()*0x000000;
			for(var i:Number=1;i<stage.stageWidth;i++){
				var posy:Number = Math.sin((i+angle/30)*Math.PI/360)*Math.cos(i*Math.PI/180)*(stage.stageWidth/2-i)*(mX/300);
				support.graphics.lineStyle(0.2,0xffffff,0.2);
				support.graphics.lineTo(i*1,stage.stageHeight-(mouseX/2)+(20+posy));
			}
			angle+=10;
			image.colorTransform (image.rect, c_trs);
			image.scroll (-0.9, -1);
			image.draw(support);
		}
	}
}